%{?nodejs_find_provides_and_requires}

%global packagename destroy
%global enable_tests 1

Name:		nodejs-destroy
Version:	1.0.4
Release:	1%{?dist}
Summary:	Destroy a stream if possible

License:	MIT
URL:		https://github.com/stream-utils/destroy
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test/ folders are not included in the # npm tarball. Source1 is generated by running
# Source10, which pulls from the upstream github version control repository.
Source1:	tests-%{version}.tar.bz2
# Source tarball does not include LICENSE file, upstream does
Source2:	https://raw.githubusercontent.com/stream-utils/destroy/master/LICENSE
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
Destroy a stream if possible


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
# copy the LICENSE file
cp -p %{SOURCE2} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Sep 22 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.4-1
- Update to upstream 1.0.4 release

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct  8 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.3-1
- Initial packaging
